Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 01 Aug 2014, 12:24
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
Request: ATI Catalyst .PET for Quirky (!)
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [5 Posts]  
Author Message
panzerpuppy

Joined: 02 Oct 2007
Posts: 632

PostPosted: Wed 12 May 2010, 08:47    Post subject:  Request: ATI Catalyst .PET for Quirky (!)
Subject description: Proprietary Linux driver for modern ATI cards / IGPs
 

Has anyone managed to install this driver successfully in Quirky?

The installer always fails to compile the kernel module.
No go even with the latest version (Catalyst 10.7)

Can anyone make a working .PET package?

_________________
Turbopup Tech Support

Last edited by panzerpuppy on Wed 28 Jul 2010, 07:06; edited 5 times in total
Back to top
View user's profile Send private message 
panzerpuppy

Joined: 02 Oct 2007
Posts: 632

PostPosted: Sat 19 Jun 2010, 20:47    Post subject:  

Quirky's kernel and Xorg version are now supported by the latest driver (no patch needed), but I still get an error message in /usr/share/ati/fglrx-install.log after the installer has 'finished' compiling the kernel module:

Code:
[Message] Kernel Module : Found kernel module build environment, generating kernel module now.
AMD kernel module generator version 2.1
doing Makefile based build for kernel 2.6.x and higher
rm -rf *.c *.h *.o *.ko *.GCC* .??* *.symvers
make -C /lib/modules/2.6.33.2/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory `/usr/src/linux-2.6.33.2'
  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
In file included from include/linux/gfp.h:4,
                 from include/linux/kmod.h:22,
                 from include/linux/module.h:13,
                 from /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:107:
include/linux/mmzone.h:18:30: error: generated/bounds.h: No such file or directory
include/linux/mmzone.h:258:5: warning: "MAX_NR_ZONES" is not defined
In file included from include/linux/gfp.h:4,
                 from include/linux/kmod.h:22,
                 from include/linux/module.h:13,
                 from /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:107:
include/linux/mmzone.h:300: error: 'MAX_NR_ZONES' undeclared here (not in a function)
In file included from /usr/src/linux-2.6.33.2/arch/x86/include/asm/pci.h:4,
                 from include/linux/pci.h:1140,
                 from /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:114:
include/linux/mm.h:454:63: warning: "NR_PAGEFLAGS" is not defined
include/linux/mm.h:502:62: warning: "NR_PAGEFLAGS" is not defined
In file included from /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:451:
/lib/modules/fglrx/build_mod/2.6.x/drm_proc.h: In function 'FGLDRM__vma_info':
/lib/modules/fglrx/build_mod/2.6.x/drm_proc.h:497: warning: format '%08lx' expects type 'long unsigned int', but argument 5 has type 'phys_addr_t'
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function 'KCL_MapPageToPfn':
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1636: warning: unused variable 'bus_addr'
make[2]: *** [/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o] Error 1
make[1]: *** [_module_/lib/modules/fglrx/build_mod/2.6.x] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.33.2'
make: *** [kmod_build] Error 2
build failed with return value 2
[Error] Kernel Module : Failed to compile kernel module - please consult readme.

_________________
Turbopup Tech Support

Last edited by panzerpuppy on Wed 28 Jul 2010, 07:08; edited 1 time in total
Back to top
View user's profile Send private message 
panzerpuppy

Joined: 02 Oct 2007
Posts: 632

PostPosted: Wed 28 Jul 2010, 07:05    Post subject:  

*bump*
_________________
Turbopup Tech Support
Back to top
View user's profile Send private message 
panzerpuppy

Joined: 02 Oct 2007
Posts: 632

PostPosted: Wed 28 Jul 2010, 07:34    Post subject:  

Sorry guys, but I had enough of these problems... I'm dumping Linux (Quirky) and going back to bloated Windows 7 land where everything 'just works' Sad

Without the proprietary ATI driver, I can't even use Quirky Linux on 2 of my boxes (with modern ATI hardware). The open-source 'radeon' driver is horrible. It's like using Vesa: no Xv acceleration, no OpenGL, no 3D, crappy 2D performance in WINE, can't use high resolutions (beyond full HD) and even more limitations.

Why Quirky and not the 'official' Puppy? Because it's a pure T2-based Puppy (unlike Lucid Puppy) with a modern SMP (multicore) kernel and newer X.Org.

_________________
Turbopup Tech Support
Back to top
View user's profile Send private message 
mories

Joined: 21 Dec 2009
Posts: 38

PostPosted: Wed 04 Aug 2010, 02:17    Post subject: ATI Catalyst 10.7 for Quirky 1.2  

I think the problem is that needs to be done previously 'make modules_prepare' (at /usr/src/linux) for prepare the kernel for building external modules.

I have compiled the latest version (10.7) in Quirky 1.2 and no problems.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [5 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0592s ][ Queries: 12 (0.0107s) ][ GZIP on ]